<template>
    <div class="content-grid content-grid--subpage">
        <Breadcrumbs :title="t(`routes.admin.children.regles.visualiser.name`)" />
        <BackLinkTitle :title="t(`routes.admin.children.regles.visualiser.name`)" />
        <Card>
            <h1>{{regle.titreFr}}</h1>
            <div v-html="regle.descriptionFr"></div>
        </Card>
    </div>
</template>

<script lang="ts" setup>
import {useI18n} from "vue3-i18n";
    import { useRegleService } from "@/inversify.config";
    import { Regle } from "@/types/entities";
import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
    import BackLinkTitle from "@/components/layout/BackLinkTitle.vue";
import Card from "@/components/layout/Card.vue";
    import { ref } from "vue";

// eslint-disable-next-line no-undef
const props = defineProps<{
    id: string
}>();

const {t} = useI18n()
    const regleService = useRegleService();
    const regle = ref<Regle>(await regleService.getRegle(props.id));
   // const htmlContent: '<p>book</p>'

</script>
